package com.ruoyi.brewery.service;

import java.util.List;
import com.ruoyi.brewery.domain.WyBeerQrcode;
import com.ruoyi.brewery.domain.WyBeerQrcodeBatch;

/**
 * 酒品二维码Service接口
 * 
 * @author ruoyi
 * @date 2024-12-21
 */
public interface IWyBeerQrcodeService 
{
    /**
     * 查询酒品二维码
     * 
     * @param id 酒品二维码主键
     * @return 酒品二维码
     */
    public WyBeerQrcode selectWyBeerQrcodeById(Long id);

    WyBeerQrcode selectWyBeerQrcodeAllDataById(Long id);

    WyBeerQrcode selectWyBeerQrcodeByCode(String code);

    /**
     * 查询酒品二维码列表
     * 
     * @param wyBeerQrcode 酒品二维码
     * @return 酒品二维码集合
     */
    public List<WyBeerQrcode> selectWyBeerQrcodeList(WyBeerQrcode wyBeerQrcode);

    List<WyBeerQrcode> selectWyBeerQrcodeListWithData(WyBeerQrcode wyBeerQrcode);

    /**
     * 新增酒品二维码
     * 
     * @param wyBeerQrcode 酒品二维码
     * @return 结果
     */
    public int insertWyBeerQrcode(WyBeerQrcode wyBeerQrcode);

    int batchInsertWyBeerQrcode(WyBeerQrcodeBatch wyBeerQrcodeBatch,String hostUrl);

    /**
     * 修改酒品二维码
     * 
     * @param wyBeerQrcode 酒品二维码
     * @return 结果
     */
    public int updateWyBeerQrcode(WyBeerQrcode wyBeerQrcode);

    /**
     * 批量删除酒品二维码
     * 
     * @param ids 需要删除的酒品二维码主键集合
     * @return 结果
     */
    public int deleteWyBeerQrcodeByIds(Long[] ids);

    /**
     * 删除酒品二维码信息
     * 
     * @param id 酒品二维码主键
     * @return 结果
     */
    public int deleteWyBeerQrcodeById(Long id);
}
